%define api_version 2.4

Name: glibmm
Version: 2.6.1
Release: alt1

Summary: C++ wrapper for GLib

License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%api_version/%name-%version.tar.bz2

# manually removed: gcc-g77 hostinfo 
# Automatically added by buildreq on Thu Jan 20 2005
BuildRequires: gcc-c++ glib2-devel libsigc++2.0-devel libstdc++-devel pkgconfig

BuildPreReq: glib2-devel >= 2.6.0

AutoReq: yes, noperl
%add_findreq_skiplist %_libdir/%name-%api_version/proc/gmmproc
%add_findreq_skiplist %_libdir/%name-%api_version/proc/pm/*

%def_disable static

%description
A C++ interface for glib library.

%package -n lib%name
Summary: C++ interface for glib
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n lib%name
A C++ interface for glib library.

This package contains the library needed to run programs dynamically
linked with %name.

%package -n lib%name-devel
Summary: Headers and development files of %name
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release

%description -n lib%name-devel
A C++ interface for glib library.

This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %name.

%package -n lib%name-static-devel
Summary: Static libraries of %name
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-static-devel
A C++ interface for glib library.

This package contains the static libraries of %name.

%package -n lib%name-doc
Summary: %name documentation
Group: Books/Other

%description -n lib%name-doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%name originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %name.

%prep
%setup -q

%build
%configure %{subst_enable static}

%make

%install
%makeinstall

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -n lib%name
%doc NEWS README
%_libdir/*.so.*

%files -n lib%name-devel
%doc AUTHORS CHANGES ChangeLog
%_includedir/*
%_libdir/*.so
%_libdir/%name-%api_version
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*.m4

%if_enabled static
%files -n %libname-static-devel
%_libdir/*.a
%endif

%files -n lib%name-doc
%doc %_datadir/doc/%name-%api_version

%changelog
* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version

* Thu Jan 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.4-alt1
- new version
- build with gcc3.4

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.1-alt1
- new version
- fix static package
- fix descriptions

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.5-alt1
- new version

* Sat Sep 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.4-alt1
- new version

* Thu Jul 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.3-alt1
- new version
- use a macro for ldconfig
- remove LICENSE from doc

* Wed Jun 09 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt1
- new version

* Mon May 24 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Tue May 04 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- New version

* Tue Apr 27 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- First Mandrake package

